# IRsSysScanner Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | CreateGenScanner ([in] IUnknown *pOuter,[out, retval] IUnknown **ppScanner)
HRESULT | CreateScannerCategory ([in] RtSCId scId,[out, retval] IRsScannerCategory **ppCategory)
HRESULT | AddScannerCategory ([in]IRsScannerCategory *pCategory)
HRESULT | RemoveScannerCategory ([in] RtSCId scId,[out, retval] IRsScannerCategory **ppCategory)
HRESULT | GetScannerCategory ([in] RtSCId scId,[out, retval] IRsScannerCategory **ppCategory)
HRESULT | BlockScannerCategory ([in] RtSCId scId,[in] RtBool bBlock)

## Detailed Description

System scanner management. Defines the categories for scanners and allows blocking all scanners in the category from processing notification events.

## Member Function Documentation

HRESULT IRsSysScanner::CreateGenScanner | ( | [in] IUnknown * | pOuter,
|  | [out, retval] IUnknown ** | ppScanner |
| ) |  |  |

Created generic scanner for aggregation.

Parameters:

  | pOuter | [in] .

Returns:
  ppScanner [out,retval] .

HRESULT IRsSysScanner::CreateScannerCategory | ( | [in] RtSCId | scId,
|  | [out, retval] IRsScannerCategory ** | ppCategory |
| ) |  |  |

Create scanner category.

Parameters:

  | scId | [in] .

Returns:
  ppCategory [out,retval] .

HRESULT IRsSysScanner::AddScannerCategory | ( | [in] IRsScannerCategory * | pCategory | ) |

Add new scanner category to system scanner.

Parameters:

  | pCategory | [in] .

HRESULT IRsSysScanner::RemoveScannerCategory | ( | [in] RtSCId | scId,
|  | [out, retval] IRsScannerCategory ** | ppCategory |
| ) |  |  |

Remove scanner category from system scanner.

Parameters:

  | scId | [in] .

Returns:
  ppCategory [out,retval] .

HRESULT IRsSysScanner::GetScannerCategory | ( | [in] RtSCId | scId,
|  | [out, retval] IRsScannerCategory ** | ppCategory |
| ) |  |  |

Returns scanner category.

Parameters:

  | scId | [in] .

Returns:
  ppCategory [out,retval] .

HRESULT IRsSysScanner::BlockScannerCategory | ( | [in] RtSCId | scId,
|  | [in] RtBool | bBlock |
| ) |  |  |

Block all scanners registered in scanner category.

Parameters:

  | scId | [in] .
  | bBlock | [in] .